%global plugin_name git

Summary:    Git software configuration management support for Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    3.3.0
Release:    10%{?dist}
License:    MIT
URL:        https://github.com/jenkinsci/git-plugin
# AltURL:   https://wiki.jenkins-ci.org/display/JENKINS/Git+Plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-ssh-credentials
Requires:   jenkins-plugin-scm-api
Requires:   jenkins-plugin-matrix-project
Requires:   jenkins-plugin-mailer
Requires:   jenkins-plugin-git-client
Requires:   jenkins-plugin-credentials
Requires:   jenkins-plugin-workflow-scm-step

%description
Git software configuration management support for Jenkins

This plugin allows use of Git as a build SCM, 
including repository browsers for several providers


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 3.3.0 - 3.3.0-10
- rebuilt

* Thu Jul 06 2017 root - 3.3.1-1
- Update to 3.3.1

* Mon Apr 24 2017 Troy Dawson <tdawson@redhat.com> - 3.3.0-1
- Update to 3.3.0

* Tue Apr 04 2017 Troy Dawson <tdawson@redhat.com> - 3.2.0-1
- Update to 3.2.0

* Mon Mar 13 2017 Troy Dawson <tdawson@redhat.com> - 3.1.0-1
- Update to 3.1.0

* Mon Feb 06 2017 Troy Dawson <tdawson@redhat.com> - 3.0.4-1
- Update to 3.0.4

* Mon Feb 06 2017 Troy Dawson <tdawson@redhat.com> - 2.2.1-1
- Update to 2.2.1

* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 3.0.0-1
- Update to latest version

* Wed Jun 15 2016 Troy Dawson <tdawson@redhat.com> - 2.4.4-2
- Fix URL

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.4.4-1
- Initial package
